@font-face {
    font-family: 'Goldplay_light';
    src: url('../fonts/GOLDPLAY-LIGHT.TTF') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Goldplay';
    src: url('../fonts/GOLDPLAY-REGULAR.TTF') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'fontspring_demo_peachi';
    src: url('../fonts/FONTSPRING-DEMO-PEACHI-BLACK.OTF') format('opentype');
    font-weight: normal;
    font-style: normal;
}


:root {
    /* spacing */

    --spacer-tb-120: 120px 0px;
    --spacer-tb-100: 100px 0px;
    --spacer-tb-75: 75px 0px;
    --spacer-tb-50: 50px 0px;
    --spacer-tb-40: 40px 0px;
    --spacer-tb-35: 35px 0px;


    /* custom container width */

    --container-100: 100%;
    --container-90: 90%;
    --container-80: 80%;
}


*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    background-color: var(--bg-white);
    color: var(--text-dark-green);
    font-size: 16px;
    font-family: 'goldplay', sans-serif;
    font-weight: 400;
    line-height: 1.3;
    height: 100%;
    position: relative;
    /* overflow: hidden; */

}

.lenis {
    &.lenis-smooth {
        scroll-behavior: auto;

        [data-lenis-prevent] {
            overscroll-behavior: contain;
        }

        &.lenis-stopped {
            overflow: hidden;
        }

        &.lenis-scrolling iframe {
            pointer-events: none;
        }
    }
}

body.menu-open {
    overflow: hidden;
}

.desktop {
    display: block;
}

.mobile {
    display: none;
}

.container-90 {
    width: var(--container-90);
    margin: 0 auto;
}

.container-80 {
    width: var(--container-80);
    margin: 0 auto;
}

.poster-frame {
    position: relative;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    overflow: hidden;
        width: 100%;
    height: 500px;
 
}
#our-factory-sec{
    height: 500px;
    width: 100%;
}
.iframe{
        width: 100%;
    border: none;
}
.iframe-container
 {
    width: 100%;
    height: 500px;
}
#iceCreamSlider_mob{
    display: none;
}

@media screen and (max-width: 900px) {
    .desktop {
        display: none;
    }

    .mobile {
        display: block;
    }

    .container-90 {
        width: var(--container-100);
        margin: 0 auto;
        padding: 0 15px;
    }

    .container-80 {
        width: var(--container-100);
        margin: 0 auto;
    }
}

.scrollBar {
    overflow: scroll;
    scrollbar-width: none;
    -ms-overflow-style: none;

    &::-webkit-scrollbar {
        width: 0;
        height: 0;
    }
}


.site-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    background-color: rgba(255, 255, 255, 0);
    transition: background-color 0.3s ease;
    opacity: 0;
    pointer-events: none;
}

.desktop-header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 20px 0;
}

.site-header.sticky {
    background-color: #2C113F;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.menu-links {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 30px;
}

.menu-links li a {
    text-decoration: none;
    color: #fff;
    /* Or any color */
    font-weight: 400;
    font-family: 'Goldplay', sans-serif;
    transition: color 0.3s ease;
}

.menu-links li a:hover {
    color: #ff6b6b;
    /* hover color */
}

.logo {
    height: auto;

    img {
        height: 100%;
        width: auto;
    }
}

.mobile-header-container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
}

/* Hamburger Styles */
.hamburger {
    display: none;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
}

.hamburger span {
    height: 3px;
    width: 25px;
    background: #fff;
    display: block;
}

/* Mobile Menu */
/* .mobile-menu {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background: url('../images/footer-bg.png') no-repeat center center / cover;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: opacity 0.5s ease, visibility 0.5s ease;
  z-index: 1000;
  padding: 60px 20px;
    display: none;
  opacity: 0;
  visibility: hidden;
} */
.mobile-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
	background-color: #2C113F !important;
/*     background: url('../images/footer-bg.png') no-repeat center center / cover; */
    z-index: 1000;
    padding: 120px 20px 50px;
    display: none;
    transform-origin: top center;
}


/* When menu is active */
.mobile-menu.active {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}


.mobile-menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.mobile-menu ul li a {
    color: white;
    text-decoration: none;
    font-size: 18px;
}

@media (max-width: 1024px) {
.mainBannerSection img {
    width:100%;
}
}
/* Show Hamburger and Hide Desktop Menu */
@media (max-width: 900px) {
    .site-header {
        height: 80px;
    }

    .header-container {
        height: 100%;

        .mobile {
            height: 100%;
        }
    }

    .mobile-header-container {
        height: 100%;
    }

    .hamburger {
        display: flex;
    }

    #mobileLogo.active {
        transform-origin: center top;
        z-index: 1004;
        width: 6%;
        margin: 0 auto;
        position: relative;
    }

    .nav-menu {
        display: none;
    }

    .close-btn {
        position: absolute;
        top: 6%;
        right: 5%;
        width: 25px;
        height: 25px;
        cursor: pointer;
        z-index: 1006;
    }

    .close-btn span {
        position: absolute;
        height: 2px;
        width: 100%;
        background-color: #fff;
        transition: all 0.3s ease;
        border-radius: 40px;
    }

    .close-btn span:first-child {
        transform: rotate(45deg);
    }

    .close-btn span:last-child {
        transform: rotate(-45deg);
    }

    .header-container {
        flex-direction: column;
        align-items: flex-start;
        padding: 10px 20px;
    }

    .menu-links {
        flex-direction: column;
        gap: 15px;
        margin-top: 10px;
        width: 100%;
    }

    .menu-links li a {
        font-size: 16px;
        padding: 10px 0;
        display: block;
    }

    .logo {
        height: auto;
        width: 100%;
        display: flex;
        justify-content: center;
    }

    /* .hamburger.active span:nth-child(1) {
        transform: rotate(45deg) translate(5px, 5px);
    }

    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-child(3) {
        transform: rotate(-45deg) translate(5px, -5px);
    }

    .hamburger span {
        transition: all 0.3s ease;
    } */

}

/* When active, show menu */
/* .mobile-menu.active {
    left: 0;
    transition: left 0.6s ease-in-out;
} */




.site-footer {
    background: url('../images/footer-bg.png') no-repeat center center;
    background-size: cover;
    width: 100%;
    padding: var(--spacer-tb-50);
    color: #fff;
    font-family: 'Goldplay', sans-serif;
}

.footer-top {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    /* padding-bottom: 50px; */
    border-bottom: 1px solid #ddd;
}

.footer-left {
    display: flex;
    align-items: center;
    /* gap: 40px; */
    flex-wrap: wrap;
    justify-content: space-between;
    width: 100%;
}

.footer-logo {
    width: 100%;
    height: 250px;
}

.footer-menu-info-details {
    display: flex;
    gap: 50px;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 100%;
    align-items: flex-start;
}

.footer-menu {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 0;
    margin: 0;
    width: 75%;
}

.quick-access,
.get-in-touch {
    color: #FFF;
    font-family: 'Goldplay', sans-serif;
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 36px;
    /* 150% */
}

.footer-menu li a {
    text-decoration: none;
    color: #fff;
    font-weight: 500;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 20px;
    flex-wrap: wrap;
    font-size: 14px;
}

.social-links a {
    margin-right: 15px;
    display: inline-block;
}

.social-links img {
    width: 24px;
    height: 24px;
    object-fit: contain;
}

.get-in-touch-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1.5rem;
    width: 45%;

    p {
        margin-bottom: 0;
    }

    .get-in-touch-details {
        display: flex;
        flex-direction: column;
        gap: 10px;
        align-items: flex-start;
        justify-content: center;
        width: 100%;

        .location,
        .email,
        .mob {
            display: flex;
            align-items: flex-start;
            gap: 15px;
            max-width: 200px;

            p {
                color: #E3E3E3;
                font-size: 18px;
                font-style: normal;
                font-weight: 400;
                line-height: normal;
            }

        }

    }
}

.social-links-container {
    display: flex;
    align-items: center;
    gap: 15px;

    p {
        font-family: 'Goldplay', sans-serif;
        font-size: 18px;
        font-style: normal;
        font-weight: 400;
        margin-bottom: 0;
    }
}

/* Footer Responsive Styles */
@media screen and (max-width: 900px) {
    .site-footer {
        padding: 50px 15px 50px;
        background-size: auto;
    }

    .footer-menu {
        li {
            a {
                font-size: 14px;
            }
        }
    }

    .footer-top {
        padding: 0;
    }

    .footer-left {
        flex-direction: column;
        gap: 20px;
    }

    .footer-logo {
        width: unset;
        height: unset;
        margin-bottom: 2rem;
    }

    .footer-menu-info-details {
        flex-direction: row;
        gap: 10px;
        align-items: flex-start;
        margin-bottom: 1.5rem;
    }

    .footer-menus,
    .get-in-touch-container {
        width: auto;
    }

    .get-in-touch-container {
        img {
            width: 24px;
            height: 24px;
        }

        .get-in-touch-details {

            .location,
            .email,
            .mob {
                p {
                    font-size: 14px;
                }

                max-width: 175px;
            }
        }
    }

    .quick-access,
    .get-in-touch {
        font-size: 16px;
        line-height: 22px;
    }



    .footer-bottom {
        flex-direction: column-reverse;
        align-items: flex-start;
        gap: 15px;
    }

    .social-links-container {
        display: flex;
        align-items: center;
        width: 100%;
        gap: 15px;

        p {
            font-family: 'Goldplay', sans-serif;
            font-size: 14px;
            font-style: normal;
            font-weight: 400;
            margin-bottom: 0;
        }
    }
}


.loader-image {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 600;
    background-color: #2C113F !important;

    .loader-main-container {
        height: 100%;
        width: 100%;
        position: relative;

/*         .bg-img {
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
        } */

        .loader-logo {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            height: 100%;
            width: 100%;
            /* z-index: 9999; */
        }
    }

    /* img {
        height: 100%;
        width: 100%;
    } */
}

.mainBannerSection {
    background: url('../images/banner-new.png') no-repeat center center;
    background-size: cover;
    height: 100%;
    color: #fff;
    overflow: hidden;
    padding: 130px 0 75px;
    position: relative;



    .text-image-container {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 100%;
        gap: 20px;

    }

    .ice-cream-img img {
        width: 100%;
    }

    .bottom-text-container {
        width: 80%;
        margin: 0 auto;

        .bottom-text {
            color: #2C113F;
            text-align: center;
            /* font-family: 'Goldplay_Light'; */
            font-size: 26px;
            font-style: normal;
            font-weight: 400;
            line-height: normal;
        }
    }
}

.iceCreamSilderSection {
    position: relative;
    padding: var(--spacer-tb-50);
    min-height: 600px;
    background: url('../images/slider-bg-new.svg') no-repeat center center;
    background-size: cover;

    .ice-cream-item {
        position: relative;
        width: 100%;


        .icecremSlider {
            width: 100%;
            object-fit: contain;
            height: 500px;
            margin: 0 auto;
            position: relative;
            z-index: -1;
        }
		
		.ice-cream-text-img{
			text-align:center;
			width:90%;
			margin:0 auto;
		}
		
		.ice-cream-text-img img{
			width:100%;
		}

        .ice-cream-text {
            width: 80%;
            margin: 0 auto;
            color: #3D1160;
            text-align: center;
            /* font-family: Goldplay; */
            font-size: 26px;
            font-style: normal;
            font-weight: 100;
            line-height: normal;
            padding-top: 2.5rem;
        }
    }

    .custom-next,
    .custom-prev {
        height: 40px;
        width: 40px;
        border-radius: 40px;
        background: rgba(255, 255, 255, 0.80);
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.04);
    }

    .swiper-button-prev:after,
    .swiper-rtl .swiper-button-next:after,
    .swiper-button-next:after,
    .swiper-rtl .swiper-button-prev:after {
        font-size: 14px;
        color: #000;
    }
}

.parallex-icreambg {
    background: url('../images/parallex-icecream.png') no-repeat center center;
    background-size: cover;
    position: relative;
    height: 90dvh;
    padding: var(--spacer-tb-40);
}

.aboutNovella {
    background: url('../images/about-bg.png') no-repeat center center;
    background-size: 100% 100%;
    position: relative;
    height: 100%;
    padding: 50px 0 50px;

    img {
        width: 100%;
        ;
    }

    .aboutNovellaHeading {
        color: #EED9B9;
        font-family: 'fontspring_demo_peachi';
        font-size: 100px;
        font-style: normal;
        font-weight: 700;
        line-height: 100px;
        margin-bottom: 30px;
        /* 100% */
    }

    .aboutNovellaText1,
    .aboutNovellaText2 {
        color: #FFF;
        font-family: 'Goldplay';
        font-size: 22px;
        font-style: normal;
        font-weight: 400;
        line-height: 30px;
        /* 136.364% */
    }
}

.memberSection {
    background: url(../images/memberBG.png) no-repeat center center, #FFF;
    background-size: 100% 100%;
    padding: 100px 0 75px;
    position: relative;

    .member-top {
        position: absolute;
        top: -10%;
        left: 50%;
        transform: translateX(-50%);

        img {
            height: 150px;
        }
    }

    .row {
        gap: 3.5rem;

    }

    img {
        width: 100%;
        height: auto;
    }

    .memberHeading {
        color: #3D1160;
        font-family: 'fontspring_demo_peachi';
        font-size: 40px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        text-align: center;
        margin-bottom: 2rem;
        text-transform: uppercase;
    }
}

.factoryLocation {
    position: relative;
    overflow: hidden;

    .location-bg {
        padding: var(--spacer-tb-50);
        background: url('../images/Sec-2.png') no-repeat center center;
        background-size: cover;

        .factoryLocationHeading {
            color: #3D1160;
            text-align: center;
            font-family: 'fontspring_demo_peachi';
            /* font-family: "FONTSPRING DEMO - Peachi"; */
            font-size: 48px;
            font-style: normal;
            font-weight: 700;
            line-height: normal;
        }

        .factoryLocationText {
            color: #2C113F;
            text-align: center;
            font-family: 'goldplay', sans-serif;
            font-size: 26px;
            font-style: normal;
            font-weight: 400;
            line-height: normal;
            width: 80%;
            margin: 0 auto;
        }
    }

    .factory-video-container {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .factory {
        width: 100%;
        object-fit: cover;
        height: 100%;
    }

    .factory-video {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

@media screen and (max-width: 900px){
	.mainBannerSection {
        padding: 150px 0 40px;
        background: url('../images/banner-bg-mob.png') no-repeat center center;
        background-size: cover;
		height:100%;
/*         min-height: 650px;
        position: relative; */
		
		.container-90{
			padding: 0;
			
			.row{
				width: 100%;
    			margin: 0 auto;
			}
		}

        .main-banner-container {
            width: 100%;
			height:100%;
/*             position: absolute;
            top: 65%;
            transform: translateY(-50%); */
            text-align: center;
        }

        .mobile {
            text-align: center;
			padding:0;
			width:100%;
        }

        .bottom-text-container {
            width: 100%;
			padding:0 25px;

            .bottom-text {
                font-size: 18px;
                line-height: 140%;
                text-align: center;
                font-weight: 500;
            }
        }
    }

    .iceCreamSilderSection {
        padding: var(--spacer-tb-35);
        min-height: 500px;
        background-size: auto;

        .ice-cream-item {

            .icecremSlider {
                height: 300px;
            }

            img {
                width: 100%;
                height: auto;
            }

            .ice-cream-text {
                width: 100%;
                font-size: 14px;
            }
        }
    }

    .parallex-icreambg {
        background: url('../images/parallex-mob.png') no-repeat center center;
        background-size: cover;
        height: 80dvh;
        padding: 0;
    }

    .aboutNovella {
        padding: var(--spacer-tb-50);

        .aboutNovellaHeading {
            font-size: 48px;
            line-height: 54px;
            letter-spacing: 0%;
			
        }

        .aboutNovellaText1,
        .aboutNovellaText2 {
            font-size: 16px;
            line-height: 22px;
            width: 100%;
			
        }
    }

    .memberSection {
        padding: 75px 0 50px;

        .member-top {
            top: -10%;

            img {
                height: 95px;
            }
        }

        .memberHeading {
            font-size: 24px;
            line-height: 32px;
            /* margin-bottom: 1rem; */
        }
    }

    .factoryLocation {
        .location-bg {
            padding: var(--spacer-tb-50);
            background-size: auto;

            .factoryLocationHeading {
                font-size: 32px;
                line-height: 40px;
            }

            .factoryLocationText {
                font-size: 16px;
                line-height: 24px;
                width: 100%;
				text-align: center;
            }
        }

        .factoryLocationHeading {
            font-size: 28px;
            line-height: 34px;
        }

        .factoryLocationText {
            font-size: 14px;
            line-height: 20px;
            width: 100%;
            margin-top: 1rem;
			text-align: center;
			
        }
    }
}

@media screen and (max-width: 768px) {
    .mainBannerSection {
        padding: 150px 0 40px;
        background: url('../images/banner-bg-mob.png') no-repeat center center;
        background-size: cover;
		height:100%;
/*         min-height: 650px;
        position: relative; */
		
		.container-90{
			padding: 0;
			
			.row{
				width: 100%;
    			margin: 0 auto;
			}
		}

        .main-banner-container {
            width: 100%;
			height:100%;
/*             position: absolute;
            top: 65%;
            transform: translateY(-50%); */
            text-align: center;
        }

        .mobile {
            text-align: center;
			padding:0;
			width:100%;
        }

        .bottom-text-container {
            width: 100%;
			padding:0 25px;

            .bottom-text {
                font-size: 18px;
                line-height: 140%;
                text-align: center;
                font-weight: 500;
				text-align: center;
            }
        }
    }

    .iceCreamSilderSection {
        padding: var(--spacer-tb-35);
        min-height: 500px;
        background-size: auto;

        .ice-cream-item {

            .icecremSlider {
                height: 300px;
            }

            img {
                width: 100%;
                height: auto;
            }

            .ice-cream-text {
                width: 100%;
                font-size: 14px;
            }
        }
    }

    .parallex-icreambg {
        background: url('../images/parallex-mob.png') no-repeat center center;
        background-size: cover;
        height: 80dvh;
        padding: 0;
    }

    .aboutNovella {
        padding: var(--spacer-tb-50);

        .aboutNovellaHeading {
            font-size: 48px;
            line-height: 54px;
            letter-spacing: 0%;
			
        }

        .aboutNovellaText1,
        .aboutNovellaText2 {
            font-size: 16px;
            line-height: 22px;
            width: 100%;
			
        }
    }

    .memberSection {
        padding: 75px 0 50px;

        .member-top {
            top: -11%;

            img {
                height: 95px;
            }
        }

        .memberHeading {
            font-size: 24px;
            line-height: 32px;
            /* margin-bottom: 1rem; */
        }
    }

    .factoryLocation {
        .location-bg {
            padding: var(--spacer-tb-50);
            background-size: auto;

            .factoryLocationHeading {
                font-size: 32px;
                line-height: 40px;
            }

            .factoryLocationText {
                font-size: 16px;
                line-height: 24px;
                width: 100%;
            }
        }

        .factoryLocationHeading {
            font-size: 28px;
            line-height: 34px;
        }

        .factoryLocationText {
            font-size: 14px;
            line-height: 20px;
            width: 100%;
            margin-top: 1rem;
			text-align: center;
        }
    }


}

@media screen and (max-width: 500px) {
    #iceCreamSlider_mob{
        display:block!important;
    }
     #iceCreamSlider{
        display:none!important;
    }
    h2.aboutNovellaHeading , .aboutNovellaText1, .aboutNovellaText2{
    text-align: center;
}
    .logo {
      justify-content: left;
    }
       #mobileLogo.active {
        
        margin: 0;
       
    }

.footer-menu {
    width: 100%;
}
}